#!/usr/bin/perl -w

use strict;
use warnings;

my $lastUpdate = localtime;



open (INDEX,  ">" . "index.html")  or die "Can't write index.html $!";

# create the body of the page
print INDEX <<"EOF";
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml" lang="en-US" xml:lang="en-US">
<HEAD>
    <TITLE>CCamelOT - An OT-CC implementation</TITLE>
    
    <LINK rel="stylesheet" type="text/css" href="mich.css" />
    <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <SCRIPT>
	function toggleView(elem) {
		if (document.getElementById) {
			document.getElementById(elem).style.display = (document.getElementById(elem).style.display == "block") ? "none" : "block";
		}
	}

	function setSampleDerivation() {

		var temp = "CON=F_Max,Mz_NoAppendix,Mz_NoCNucleus,Mz_NoCoda,F_Dep,F_IdentRootVoice,Mz_NoVTV,F_IdentVoice;inputs=e(1),p(2),a(3),t(4):1(1),2(3):1,2,3";
		var CON = temp.substring(temp.indexOf("CON=")+4,temp.indexOf(";"));
		document.cookie = "CON=" + CON;

		temp = temp.substring(temp.indexOf(";")+1, temp.length);
		var inputs = temp.substring(temp.indexOf("inputs=")+7,temp.length);
		if (inputs) document.cookie = "inputs=" + inputs;

		location.href = "tableau.cgi";
	}




    </SCRIPT>
</HEAD>

<BODY LEFTMARGIN=0 TOPMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
EOF


# read nav bar
open (NAV, "<navbar.txt") or die "Can't read navbar. $!";
print INDEX while (<NAV>);
close(NAV);

print INDEX <<"EOF";
<DIV CLASS="pagebody">

	Welcome to CCamelOT, 
	an implementation of OT-CC&#146;s <SPAN STYLE='font-variant:small-caps;'>gen</SPAN> and <SPAN STYLE='font-variant:small-caps;'>eval</SPAN> in Perl

	<BR>
	<BR>
	<A ID="guided_tour_link" HREF="help.cgi#tour"><SPAN STYLE="text-decoration:none;">Take the quick </SPAN>Guided Tour<SPAN STYLE="text-decoration:none;"> to CCamelOT</SPAN></A> 
	<BR> 
	<BR>
	
	<A HREF="javascript:toggleView('knowOTCC')">I know what OT and OT-CC are. What can CCamelOT do for me?</A><BR>
	<BR>
		<DIV CLASS="helpDiv" ID="knowOTCC">
		CCamelOT allows you to derive inputs by applying an OT-CC grammar to them.
		Take the quick <A HREF="help.cgi#tour">guided tour</A> to see how.<BR>
		<BR>
		The inputs are real (i.e. made out of features, prosodic structure, and morphological structure). CCamelOT creates the candidates for you, and tells you who the winner is. You can change the ranking online and see how the candidates and winners change.<BR>
		<BR>
		If you register, you can post your inputs and rankings. You can post publicly, and share the information with colleagues and students. You can post privately for your own enjoyment.<BR>
		<BR>
		<!-- You can use CCamelOT to create input files for use with <A HREF="http://www.linguistics.ucla.edu/people/hayes/otsoft/">OTSoft</A> and <A HREF="http://www.fon.hum.uva.nl/praat/">PRAAT</A>.<BR>
		<BR> -->
		You can read about how CCamelOT uses OT-CC priciples
		<A HREF="CCamelOT_handout_LSA.pdf">in this handout</A> and in the
		<A HREF="help.cgi">help page</A>.<BR>
		<BR>
		</DIV>

	<A HREF="javascript:toggleView('knowOT')">I know what OT is. What's OT-CC?</A>
	<BR>
		<DIV CLASS="helpDiv" ID="knowOT">
		<BR>
		OT-CC is a flavor of OT introduced in "Hidden Generalizations: Phonological Opacity in
		Optimality Theory", a forthcoming book by
		<A HREF="http://people.umass.edu/jjmccart/">John McCarthy</A>.<BR>
		<BR>
		To get an idea of how it works, take the quick <A HREF="help.cgi#tour">guided tour</A>.
		<BR><BR>
		You can also read about OT-CC and about how CCamelOT uses its priciples
		<A HREF="CCamelOT_handout_LSA.pdf">in this handout</A> and in the
		<A HREF="help.cgi">help page</A>.
		</DIV>
	<BR>

	<A HREF="javascript:toggleView('knowNaught')">I know nothing; help me!</A><BR>
	<BR>
		<DIV CLASS="helpDiv" ID="knowNaught">
		I am not sure I can. Here are some wise words from <A HREF="http://www.linguistics.ucla.edu/people/hayes/index.htm">Bruce Hayes</A>:<BR><BR>
		"Optimality Theory (OT) is a wide-employed theoretical framework used in contemporary linguistics.  The original reference for OT is <A HREF="http://roa.rutgers.edu/view.php3?roa=537">Prince and Smolensky (1993)</A>; good textbooks have been written by <A HREF="http://www.cambridge.org/uk/catalogue/catalogue.asp?isbn=0521589800">Ren Kager</A> and <A HREF="http://www.amazon.com/exec/obidos/ASIN/052179644X/103-3094823-1750218">John McCarthy</A>".<BR>
		<BR>
		</DIV>
	

	<BR>
	<SMALL>Last update: $lastUpdate</SMALL>
</DIV>

EOF

# read footer
open (FTR, "<footer.txt") or die "Can't read footer. $!";
print INDEX while (<FTR>);
close(FTR);


print INDEX <<"EOF";
</BODY>
</HTML>
EOF


close(INDEX) or die "$!";
